Bug 230359 - devel/ode: Update to 0.15.2
Summary: devel/ode: Update to 0.15.2
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on: 231015 231016
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-04 19:38 UTC by Yuri Victorovich
Modified: 2018-08-30 20:06 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments
patch (1.99 KB, patch)
2018-08-04 19:38 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-08-04 19:38:57 UTC
Created attachment 195853 [details]
patch

Changes:
* Change to DISTVERSION
* Moved to bitbucket
* Remove static lib
* Silence the SED command
Comment 1 Jose Alonso Cardenas Marquez freebsd_committer 2018-08-30 05:55:20 UTC
Hi Yuri, there are some ports that depend of devel/ode. Could you test if they are compiling without problems with this new version of devel/ode?
Comment 2 Yuri Victorovich freebsd_committer 2018-08-30 07:08:04 UTC
Here's the list of all ports that depend on it:
devel/py-PyODE
games/xmoto
games/gillo
games/xonotic
games/alienarena
graphics/py-soya3d
misc/ompl
games/stormbaancoureur
games/crashtest
Comment 3 Dmitry Marakasov freebsd_committer 2018-08-30 20:06:35 UTC
Note that all consumers need to be playtested, as physics behavior may have changed with the new version of ode which would affect the gameplay.